import { render, screen } from '@testing-library/react'
import React from 'react'
import FormProgress from './FormProgress'

describe('FormProgress', () => {
  it('should be rendered correctly with a progressbar', () => {
    render(<FormProgress currentStep={5} totalSteps={10} />)
    expect(screen.getByRole('progressbar')).toBeInTheDocument()
  })

  it('should min out to "1%"', () => {
    render(<FormProgress currentStep={0} totalSteps={5} />)
    expect(screen.getByText('1%')).toBeInTheDocument()
  })
  it('should max out to "100%"', () => {
    render(<FormProgress currentStep={5} totalSteps={0} />)
    expect(screen.getByText('100%')).toBeInTheDocument()
  })
})
