import { FluidType } from 'enums'
import React from 'react'
import EpglInit from './EPGLConnect/EpglInit'
import GrdfInit from './GRDFConnect/GrdfInit'
import SgeInit from './SGEConnect/SgeInit'
import './connection.scss'

const Connection = ({ fluidType }: { fluidType: FluidType }) => {
  return (
    <div className="konnector-form">
      {fluidType === FluidType.ELECTRICITY && <SgeInit />}
      {fluidType === FluidType.WATER && <EpglInit />}
      {fluidType === FluidType.GAS && <GrdfInit />}
    </div>
  )
}

export default Connection
