import { act, render, screen } from '@testing-library/react'
import { userEvent } from '@testing-library/user-event'
import React from 'react'
import { Provider } from 'react-redux'
import { createMockEcolyoStore } from 'tests/__mocks__/store'
import SgeInit from './SgeInit'

const mockedNavigate = jest.fn()
jest.mock('react-router-dom', () => ({
  ...jest.requireActual('react-router-dom'),
  useNavigate: () => mockedNavigate,
}))

describe('SgeInit component', () => {
  const store = createMockEcolyoStore()
  it('should be rendered correctly', () => {
    const { container } = render(
      <Provider store={store}>
        <SgeInit />
      </Provider>
    )
    expect(container).toMatchSnapshot()
  })
  it('should go to sge connect steps', async () => {
    render(
      <Provider store={store}>
        <SgeInit />
      </Provider>
    )
    await act(async () => {
      await userEvent.click(screen.getByText('auth.enedissgegrandlyon.connect'))
    })
    expect(mockedNavigate).toHaveBeenCalled()
  })
})
