import DuelBar from 'components/Duel/DuelChart/DuelBar'
import { TimeStep } from 'enums'
import { Dataload, UserChallenge } from 'models'
import React from 'react'
import './duelChart.scss'

interface DuelChartProps {
  userChallenge: UserChallenge
  finishedDataLoad?: Dataload[]
  width: number
  height: number
}

const DuelChart = ({
  userChallenge,
  finishedDataLoad,
  width,
  height,
}: DuelChartProps) => {
  const average =
    userChallenge.duel.threshold / userChallenge.duel.duration.days

  return (
    <div className="fs-slide">
      <DuelBar
        userChallenge={userChallenge}
        finishedDataLoad={finishedDataLoad}
        average={average}
        timeStep={TimeStep.DAY}
        height={height}
        width={width}
      />
    </div>
  )
}

export default DuelChart
