import { act, renderHook } from '@testing-library/react'
import { UserExplorationID } from 'enums'
import React from 'react'
import { Provider } from 'react-redux'
import {
  createMockEcolyoStore,
  mockChallengeState,
} from 'tests/__mocks__/store'
import { userChallengeExplo1OnGoing } from 'tests/__mocks__/userChallengeData.mock'
import useExploration from './useExploration'

describe('useExploration Hooks', () => {
  it('should return "EXPLORATION001"', () => {
    const store = createMockEcolyoStore({
      challenge: {
        ...mockChallengeState,
        currentChallenge: userChallengeExplo1OnGoing,
      },
    })

    const wrapper = ({ children }: { children: JSX.Element }) => (
      <Provider store={store}>{children}</Provider>
    )

    const { result } = renderHook(() => useExploration(), {
      wrapper,
    })

    act(() => {
      result.current[1](UserExplorationID.EXPLORATION001)
    })
    expect(result.current[0]).toBe(UserExplorationID.EXPLORATION001)
  })
})
