export interface AccountAttributes {
  account_type: string
  auth?: AccountEGLData | AccountSgeData | AccountGRDFData
  identifier?: string
  state?: string | null
  name?: string
  data?: SgeAccountData
}

export interface Account extends AccountAttributes {
  _id: string
  id?: string
  _rev?: string
  _type?: string
  cozyMetadata?: Record<string, unknown>
}
export interface SgeAccountData {
  consentId: number
  expirationDate: string
  offPeakHours?: string
}

export interface AccountEGLData {
  login: string
  credentials_encrypted?: string
  password?: string
}

export interface AccountGRDFData {
  pce: string
  email: string
  lastname: string
  firstname: string
  postalCode: string
}

export interface AccountSgeData {
  pointId: string
  address: string
  firstname: string
  lastname: string
  postalCode: string
  city: string
}
