import {
  EquipmentType,
  IndividualOrCollective,
  ProfileEcogestureAnswerType,
  WarmingType,
} from 'enums'
import { ProfileEcogesture, ProfileEcogestureAnswer } from 'models'

export const mockProfileEcogesture: ProfileEcogesture = {
  heating: IndividualOrCollective.INDIVIDUAL,
  warmingFluid: WarmingType.ELECTRICITY,
  hotWater: IndividualOrCollective.INDIVIDUAL,
  equipments: [],
}
export const mockProfileEcogestureUpdated: ProfileEcogesture = {
  heating: IndividualOrCollective.INDIVIDUAL,
  warmingFluid: WarmingType.ELECTRICITY,
  hotWater: IndividualOrCollective.INDIVIDUAL,
  equipments: [EquipmentType.BOILER, EquipmentType.INTERNET_BOX],
}

export const mockEcogestureAnswer: ProfileEcogestureAnswer = {
  type: ProfileEcogestureAnswerType.SINGLE_CHOICE,
  attribute: 'heating',
  choices: [
    IndividualOrCollective.INDIVIDUAL,
    IndividualOrCollective.COLLECTIVE,
  ],
}
